Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.plugins.jiraPlugin.actions
Class ViewBuildResultsByJiraKey

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.plugins.jiraPlugin.actions.ViewBuildResultsByJiraKey

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ViewBuildResultsByJiraKey

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewBuildResultsByJiraKey()`

Method Summary
`String` | `execute()`
`BuildResultsSearcher` | `getBuildResultsSearcher()`
`String` | `getJiraHost()`
`String` | `getJiraIssueKey()`
`List` | `getResultsList()`
`boolean` | `isJiraServerDefined()`
`void` | `setBuildResultsSearcher(BuildResultsSearcher buildResultsSearcher)`
`void` | `setJiraIssueKey(String jiraIssueKey)`
`void` | `setJiraServerManager(JiraServerManager jiraServerManager)`
`void` | `setResultsList(List resultsList)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ViewBuildResultsByJiraKey

    public ViewBuildResultsByJiraKey()

Method Detail

### execute

    public String execute()

### getResultsList

    public List getResultsList()

### setResultsList

    public void setResultsList(List resultsList)

### getJiraIssueKey

    public String getJiraIssueKey()

### setJiraIssueKey

    public void setJiraIssueKey(String jiraIssueKey)

### getJiraHost

    public String getJiraHost()

### isJiraServerDefined

    public boolean isJiraServerDefined()

### getBuildResultsSearcher

    public BuildResultsSearcher getBuildResultsSearcher()

### setBuildResultsSearcher

    public void setBuildResultsSearcher(BuildResultsSearcher buildResultsSearcher)

### setJiraServerManager

    public void setJiraServerManager(JiraServerManager jiraServerManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.